OpenVDB 5.1.0

Public Types | Public Member Functions | Friends | List of all members
RandomLeafFilter< PointDataTreeT, RandGenT > Class Template Reference

`#include <IndexFilter.h>`

## Public Types
using | SeedCountPair = std::pair< Index, Index >
using | LeafMap = std::map< openvdb::Coord, SeedCountPair >

## Public Member Functions
| RandomLeafFilter (const PointDataTreeT &tree, const Index64 targetPoints, const unsigned int seed=0)
bool | initialized () const
template<typename LeafT >
void | reset (const LeafT &leaf)
void | next () const
template<typename IterT >
bool | valid (const IterT &iter) const

## Friends
class | ::TestIndexFilter

## Member Typedef Documentation

## ◆ LeafMap

using LeafMap = std::map<openvdb::Coord, SeedCountPair>

## ◆ SeedCountPair

using SeedCountPair = std::pair<Index, Index>

## Constructor & Destructor Documentation

## ◆ RandomLeafFilter()

RandomLeafFilter | ( | const PointDataTreeT & | tree,
|  | const Index64 | targetPoints,
|  | const unsigned int | seed = `0`
| ) |  |
| inline

## Member Function Documentation

## ◆ initialized()

bool initialized | ( |  | ) | const
| inline

## ◆ next()

void next | ( |  | ) | const
| inline

## ◆ reset()

void reset | ( | const LeafT & | leaf | ) |
| inline

## ◆ valid()

bool valid | ( | const IterT & | iter | ) | const
| inline

## Friends And Related Function Documentation

## ◆ ::TestIndexFilter

friend class ::TestIndexFilter
| friend

The documentation for this class was generated from the following file:

- IndexFilter.h